Package org.apache.wiki.tags

# Class LinkToParentTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.WikiLinkTag
org.apache.wiki.tags.LinkToTag
org.apache.wiki.tags.LinkToParentTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `jakarta.servlet.jsp.tagext.TryCatchFinally`, `Serializable`

public class LinkToParentTag extends LinkToTag
Writes a link to a parent of a Wiki page.

Attributes

- page - Page name to refer to. Default is the current page.
- format - either "anchor" or "url" to output either an ... or just the HREF part of one.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.LinkToTag

`m_accesskey, m_title`

### Fields inherited from class org.apache.wiki.tags.WikiLinkTag

`ANCHOR, m_format, m_pageName, m_template, URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`LinkToParentTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.

### Methods inherited from class org.apache.wiki.tags.LinkToTag

`getVersion, initTag, setAccesskey, setTitle, setVersion`

### Methods inherited from class org.apache.wiki.tags.WikiLinkTag

`doEndTag, getPage, getTemplate, setFormat, setPage, setTemplate`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkToParentTag

public LinkToParentTag()

## Method Details

### doWikiStartTag

public int doWikiStartTag() throws IOException
Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Overrides:
  `doWikiStartTag` in class `LinkToTag`
Throws:
  `IOException`